'Flight Comes Easily' requires the Flash 4 plug-in.

If your browser doesn't have it, you'll need to download it.

Download Flash 4
 
What is Flash 4?
 
I already have Flash 4 - view Flight Comes Easily.